<ion-header>
  <ion-toolbar color='secondary'>
    <ion-title>Post</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color='primary'>
 <ion-card >
  <form [formGroup]="postForm"  (ngSubmit)="createPost()" color='success'>

  <ion-item color='tertiary'>
    <ion-label position="floating">Full Name</ion-label>
    <ion-input formControlName="fullName" name="Fulln"></ion-input>
  </ion-item>

  <ion-item color='tertiary'>
    <ion-label position="floating">Side Job Name</ion-label>
    <ion-input formControlName="sideJob" name="sidej"></ion-input>
  </ion-item>

  <ion-item color='tertiary'> 
    <ion-label position="floating">Side Job Description</ion-label>
    <ion-textarea formControlName="sideDesc" name="sided"></ion-textarea>
  </ion-item>

  <ion-item color='tertiary'>
    <ion-label position="floating">Address</ion-label>
    <ion-input formControlName="Address" name="adds"></ion-input>
  </ion-item>

  <ion-item color='tertiary'>
    <ion-label position="floating">Contact Number</ion-label>
    <ion-input formControlName="contactNumber" name="connume"></ion-input>
  </ion-item>

  <ion-item color='tertiary'>
    <ion-button color="warning" (click)="createPost()"[disabled]="postForm.invalid" >
      <ion-icon size="small" slot="icon-only" name="add"></ion-icon>
      &nbsp;Post</ion-button>
  </ion-item>
</form>
</ion-card>

</ion-content>